Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593455 - qemu: Improve error reporting when SDL fails
Summary: qemu: Improve error reporting when SDL fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin M. Forbes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 20:04 UTC by Cole Robinson
Modified: 2013-01-09 11:34 UTC (History)
13 users (show)

Fixed In Version: seabios-0.6.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-24 21:07:51 UTC


Attachments (Terms of Use)

Description Cole Robinson 2010-05-18 20:04:47 UTC
There is a patch upstream that provides better error reporting if qemu fails to initialize SDL:

http://git.savannah.gnu.org/cgit/qemu.git/commit/?id=3caf2562c21278aa9992bc7e6b5bbe98bc79f92e

Using SDL with libvirt is tricky, so this patch will hopefully help users track down their issues, or at least file better bug reports.

Comment 1 Fedora Update System 2010-08-18 14:02:25 UTC
seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13

Comment 2 Fedora Update System 2010-08-20 02:16:17 UTC
seabios-0.6.0-1.fc13, gpxe-1.0.1-1.fc13, qemu-0.12.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update seabios gpxe qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/seabios-0.6.0-1.fc13,gpxe-1.0.1-1.fc13,qemu-0.12.5-1.fc13

Comment 3 Fedora Update System 2010-08-24 21:07:30 UTC
seabios-0.6.0-1.fc13, gpxe-1.0.1-1.fc13, qemu-0.12.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.